Perfstat.perfstat_protocol_t.AnonymousStructTCP (JNA API)

com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_protocol_t.AnonymousStructTCP

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_protocol_t.AnonymousStructTCP

- Enclosing class:
    Perfstat.perfstat_protocol_t

      @Structure.FieldOrder(value={"ipackets","ierrors","opackets","initiated","accepted","established","dropped"})
      public static class Perfstat.perfstat_protocol_t.AnonymousStructTCP
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `accepted`
    `long` | `dropped`
    `long` | `established`
    `long` | `ierrors`
    `long` | `initiated`
    `long` | `ipackets`
    `long` | `opackets`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnonymousStructTCP()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ipackets

          public long ipackets

    - #### ierrors

          public long ierrors

    - #### opackets

          public long opackets

    - #### initiated

          public long initiated

    - #### accepted

          public long accepted

    - #### established

          public long established

    - #### dropped

          public long dropped

  - ### Constructor Detail

    - #### AnonymousStructTCP

          public AnonymousStructTCP()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.